Subject: [apps-discuss] (no subject)

From: Robert Sayre <[email-masked]>
Date: Thu, 13 Dec 2012 02:38:36 -0800

James Manger wrote:
> For the same reasons, I also think it is important to be able to do:
"remove this object element
> (regardless of whether or not it exists)". With draft-08 "remove" causes
an error if the element
> does not exist.

Oh, I think that text is buggy. Specifically, the text "the target location
MUST exist" is unsuitably ambiguous for a MUST requirement, and needlessly
ties client state to server state.

If a server receives two PATCH requests that remove the same element,
against ETags that are either the same or non-conflicting, there's no
problem.

- Rob